# ForwardInfo - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message / ForwardInfo

# ForwardInfo

(common) `sealed class ForwardInfo` (source)

### Properties

(common)

#### dateOfOriginal

`abstract val dateOfOriginal: TelegramDate`

### Inheritors

(common)

#### AnonymousForwardInfo

`data class AnonymousForwardInfo : ForwardInfo`

(common)

#### ForwardFromChannelInfo

`data class ForwardFromChannelInfo : ForwardInfo`

(common)

#### UserForwardInfo

`data class UserForwardInfo : ForwardInfo`